<html>
<head>
<title>jQuery Drag and Drop Image Upload</title>
<link rel="stylesheet" type="text/css" href="css/style.css" />
<script src="https://code.jquery.com/jquery-2.1.1.min.js"
    type="text/javascript"></script>
<style>

#drop-area {
    border-style: dotted;
    min-height: 200px;
    padding: 10px;
    border-color: #999;
    border-radius: 15px;
    stroke-width: 1px;
    margin-bottom: 15px;
}

h3.drop-text {
    color: #999;
    text-align: center;
    font-size: 2em;
}

#loader-icon {
    display: none;
}

#success-message-info {
    text-align: center;
}
</style>
<script>
$(document).ready(function() {
    $("#drop-area").on('dragenter', function (e){
    e.preventDefault();
    });

    $("#drop-area").on('dragover', function (e){
    e.preventDefault();
    });

    $("#drop-area").on('drop', function (e){
    e.preventDefault();
    var image = e.originalEvent.dataTransfer.files;
    createFormData(image);
    });
});

function createFormData(image) {
    var formImage = new FormData();
    formImage.append('userImage', image[0]);
    uploadFormData(formImage);
}

function uploadFormData(formData) {
    $('#loader-icon').show();
    $.ajax({
        url: "upload-ajax.php",
        type: "POST",
        data: formData,
        contentType: false,
        cache: false,
        processData: false,
        success: function(data) {
            $('#drop-area').append(data);
            $('#loader-icon').hide()
            $('#success-message-info').html("Added Successfully");
            $('#success-message-info').css("display", "inline-block");
        }
    });
}
</script>
</head>
<body>
    <div class="phppot-container">
    <div id="drop-area">
        <h3 class="drop-text">Drop images here to upload</h3>
    </div>
    <div id="loader-icon">
        <img src="loader.gif" />
    </div>
    <div id="success-message-info" class="message success display-none"></div>
    </div>
</body>
</html>